List audit logs
curl --request GET \
--url https://api.mobileboost.io/audit/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mobileboost.io/audit/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mobileboost.io/audit/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobileboost.io/audit/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mobileboost.io/audit/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mobileboost.io/audit/logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobileboost.io/audit/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"logs": [
{
"seq": "2026-06-26T12:00:00.000000+00:00#aB3xY",
"timestamp": "2026-06-26T12:00:00.000Z",
"created_at": "2026-06-26T12:00:00.000000+00:00",
"org_id": "org_abc",
"event_type": "test.updated",
"action": "update",
"actor": {
"uid": "u_123",
"email": "jane@example.com"
},
"target": {
"type": "test",
"id": "abc123",
"name": "Login flow"
},
"changes": [
{
"field": "commands",
"old": "Tap Log in",
"new": "Tap Sign in"
}
],
"source": "backend",
"metadata": {}
}
],
"next_cursor": "2026-06-26T12:00:00.000000+00:00#aB3xY"
}{
"error": "audit logging is not enabled for this organisation"
}Audit
List audit logs
Retrieve your organisation’s audit log events as a paginated, cursor-based stream. This endpoint is intended for SIEM ingestion, such as a Splunk REST or modular input. Poll with since=<next_cursor> from the previous response to fetch only new events.
Audit logging must be enabled for your organisation. If audit logging is not enabled, the endpoint returns 403. The organisation is derived from the API key which can be created in your organisations account.
Set the Accept header to application/x-ndjson to receive newline-delimited JSON instead of a single JSON object. In this mode, the next cursor is returned in the X-Next-Cursor response header rather than in a response field.
GET
/
audit
/
logs
List audit logs
curl --request GET \
--url https://api.mobileboost.io/audit/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mobileboost.io/audit/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mobileboost.io/audit/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobileboost.io/audit/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mobileboost.io/audit/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mobileboost.io/audit/logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobileboost.io/audit/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"logs": [
{
"seq": "2026-06-26T12:00:00.000000+00:00#aB3xY",
"timestamp": "2026-06-26T12:00:00.000Z",
"created_at": "2026-06-26T12:00:00.000000+00:00",
"org_id": "org_abc",
"event_type": "test.updated",
"action": "update",
"actor": {
"uid": "u_123",
"email": "jane@example.com"
},
"target": {
"type": "test",
"id": "abc123",
"name": "Login flow"
},
"changes": [
{
"field": "commands",
"old": "Tap Log in",
"new": "Tap Sign in"
}
],
"source": "backend",
"metadata": {}
}
],
"next_cursor": "2026-06-26T12:00:00.000000+00:00#aB3xY"
}{
"error": "audit logging is not enabled for this organisation"
}
